#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,k,a[20000],i;
        cin>>n>>k;
    for(i=0; i<n; i++){
            cin>>a[i];
    }
    for(i=0; i<n; i++){
            if(k==a[i]){
                    if(k!=a[n-1])cout<<a[i+1]<<'\n';
            else cout<<a[0]<<'\n';
    }
    }


    return 0;
}